Subject: bug#54941: closed (Re: bug#54941: No such file or directory when running a binary)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 16 Apr 2022 14:17:02 +0000

Your bug report

#54941: No such file or directory when running a binary

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54941: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54941
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54941: No such file or directory when running a binary
From: Maxime Devos <[email-masked]>
To: Haider Mirza <[email-masked]>, [email-masked]
Date: Sat, 16 Apr 2022 16:16:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Haider Mirza schreef op za 16-04-2022 om 14:58 [+0100]:
> You're right about the fact that the binary is requesting "/lib64/ld-
> linux-x86-64.so.2" Is it possible to force the binary to use another
> interpreter? If not you can close this down.

Yes, here's how to do it on Debian:

$ ~/.guix-profile/lib/ld-linux-x86-64.so.2 /bin/ls
/bin/ls: error while loading shared libraries: libselinux.so.1: cannot
open shared object file: No such file or directory
[failed!]

Though as can be seen above, not all combinations of interpreters and
binaries actually function ...

Greetings,
Maxime.

Subject: No such file or directory when running a binary
From: Haider Mirza <[email-masked]>
To: [email-masked]
Date: Thu, 14 Apr 2022 16:34:13 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I am trying to run a binary and it returns
"bash: ./silent-syphon: No such file or directory"

This issue does not seem to happen on other distros (tested on 
Archlinux) and has been reproduced on several GNU Guix 
installations.
This error has occured before and every both times the binary was 
originally found in a zip file.
I unzip the file with "unzip foo". Using the unzip program.

Easiest way to reproduce this by unzipping the binary in this 
Github repo:
https://github.com/FluxHarmonic/ld50-silent-syphon/releases/tag/dev

The internet suggests that this might be because I am running a 
32-bit program on a 64-bit system.
LDD shows the binary to be fine and error continued to happen even 
after installing all dependancies/libraries.
I am on the Guix Operating system with everything being 
up-to-date.

Can you suggest any sort of fix?

-- 
Haider Mirza via Emacs on a GNU/Linux system